=== data/scripts/CMakeLists.txt ===
INSTALL(FILES 
    checkpackages.py
    otiointerface.py
    speech.py
    speechtotext.py

DESTINATION ${DATA_INSTALL_DIR}${DATA_INSTALL_PREFIX}/scripts)
