=== debian/changelog ===
kdenlive (22.08.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 10 Nov 2022 09:31:28 +0100

kdenlive (22.08.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 20 Oct 2022 15:35:45 +0200
