## kdenlive 22.12.0

=== debian/changelog ===
kdenlive (22.12.0-1) unstable; urgency=medium

  * New upstream release.
    - Add new build dependency qttools5-dev.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Dec 2022 11:31:23 +0100
