=== debian/control ===
--- 
+++ 
@@ -43,6 +43,7 @@
  libkf5textwidgets-dev,
  libkf5widgetsaddons-dev,
  qtdeclarative5-dev,
+ qttools5-dev,
  qtwebengine5-dev [amd64 i386 arm64 armhf mipsel],
  libkf5xmlgui-dev
