## kdenlive 22.12.1

=== debian/changelog ===
kdenlive (22.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Adjust lintian overrides.
  * Adjust debian/copyright.
  * Bump Standards-Version to 4.6.2.
  * Update upstream signing key.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 05 Jan 2023 17:23:18 +0100
