## kdenlive 22.12.2

=== src/utils/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  utils/clipboardproxy.cpp
  utils/colortools.cpp
  utils/devices.cpp
  utils/flowlayout.cpp
  utils/gentime.cpp
  utils/qcolorutils.cpp
  utils/thememanager.cpp
  utils/thumbnailcache.cpp
  utils/timecode.cpp
  PARENT_SCOPE
)
