=== debian/changelog ===
kdenlive (22.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 03 Feb 2023 09:49:23 +0100
