## kdenlive 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 set(KDENLIVE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
@@ -19,29 +19,36 @@
     cmake_policy(SET CMP0053 NEW)
 endif()
 
-# To be switched on when releasing.
-option(RELEASE_BUILD "Remove Git revision from program version" ON)
+include(FeatureSummary)
+include(GenerateExportHeader)
+
+# Register CMake options
+option(RELEASE_BUILD "Remove Git revision from program version" ON) # To be switched on when releasing.
 option(BUILD_TESTING "Build tests" ON)
 option(CRASH_AUTO_TEST "Auto-generate testcases upon some crashes (uses RTTR library, needed for fuzzing)" OFF)
 option(BUILD_FUZZING "Build fuzzing target" OFF)
 option(NODBUS "Build without DBus IPC" OFF)
 option(USE_VERSIONLESS_TARGETS "Use versionless targets" OFF)
+option(BUILD_QCH "Build source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "Source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+
+option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" OFF)
 
 # Minimum versions of main dependencies.
 set(MLT_MIN_MAJOR_VERSION 7)
-set(MLT_MIN_MINOR_VERSION 8)
+set(MLT_MIN_MINOR_VERSION 10)
 set(MLT_MIN_PATCH_VERSION 0)
 set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})
 
 # KDE Frameworks
-set(KF_DEP_VERSION "5.86.0")
+set(KF_DEP_VERSION "5.92.0")
 find_package(ECM ${KF_DEP_VERSION} REQUIRED CONFIG)
 set(KDE_COMPILERSETTINGS_LEVEL 5.80)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
+
+## include ECM Modules
 include(KDECompilerSettings NO_POLICY_SCOPE)
-include(FeatureSummary)
 include(ECMInstallIcons)
-include(GenerateExportHeader)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(ECMOptionalAddSubdirectory)
@@ -50,17 +57,36 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMEnableSanitizers)
 include(ECMAddQch)
-if (ECM_VERSION VERSION_GREATER_EQUAL "5.89.0")
-    include(QtVersionOption)
-endif()
-if (ECM_VERSION VERSION_GREATER_EQUAL "5.91.0")
-    include(ECMDeprecationSettings)
-endif()
+include(QtVersionOption)
+include(ECMDeprecationSettings)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")
-find_package(KF5 ${KF_DEP_VERSION} REQUIRED COMPONENTS Archive Bookmarks CoreAddons Config ConfigWidgets
-                            KIO WidgetsAddons NotifyConfig NewStuff XmlGui Notifications GuiAddons TextWidgets IconThemes Declarative Solid
-                 OPTIONAL_COMPONENTS DocTools FileMetaData Crash Purpose)
+find_package(KF5 ${KF_DEP_VERSION}
+    REQUIRED COMPONENTS
+    Archive
+    Bookmarks
+    Codecs
+    CoreAddons
+    Config
+    ConfigWidgets
+    KIO
+    WidgetsAddons
+    NotifyConfig
+    NewStuff
+    XmlGui
+    Notifications
+    GuiAddons
+    TextWidgets
+    IconThemes
+    Declarative
+    Solid
+    FileMetaData
+
+    OPTIONAL_COMPONENTS
+    DocTools
+    Crash
+    Purpose
+)
 
 # Qt
 set(QT_MIN_VERSION 5.15.2)
@@ -68,15 +94,26 @@
     set(QT_MAJOR_VERSION 5)
 endif()
 
-if (ECM_VERSION VERSION_GREATER_EQUAL "5.91.0")
-    ecm_set_disabled_deprecation_versions(
-        QT ${QT_MIN_VERSION}
-        KF ${KF_DEP_VERSION}
-    )
-endif()
-
-
-find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Core Widgets Svg Quick QuickControls2 Concurrent QuickWidgets Multimedia NetworkAuth)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(USE_VERSIONLESS_TARGETS ON)
+endif()
+
+ecm_set_disabled_deprecation_versions(
+    QT ${QT_MIN_VERSION}
+    KF ${KF_DEP_VERSION}
+)
+
+find_package(Qt${QT_MAJOR_VERSION}
+    REQUIRED COMPONENTS
+    Core Widgets
+    Svg
+    Quick
+    QuickControls2
+    Concurrent
+    QuickWidgets
+    Multimedia
+    NetworkAuth
+)
 if (QT_MAJOR_VERSION STREQUAL "6")
     find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS SvgWidgets)
 endif()
@@ -110,13 +147,6 @@
     set(DATA_INSTALL_PREFIX "")
 else()
     set(DATA_INSTALL_PREFIX "/kdenlive")
-endif()
-
-if(KF5FileMetaData_FOUND)
-  message(STATUS "Found KF5 FileMetadata to extract file metadata")
-  set(KF5_FILEMETADATA TRUE)
-else()
-  message(STATUS "KF5 FileMetadata not found, file metadata will not be available")
 endif()
 
 if(KF5Purpose_FOUND)
@@ -148,6 +178,9 @@
 endif()
 
 if(CRASH_AUTO_TEST)
+  if(BUILD_DESIGNERPLUGIN)
+    message(SEND_ERROR "The options CRASH_AUTO_TEST and BUILD_DESIGNERPLUGIN do not work together, disable one of both.")
+  endif()
   find_package(RTTR 0.9.6 QUIET)
   if(NOT RTTR_FOUND)
     message(STATUS "RTTR not found on system, will download source and build it")
@@ -157,11 +190,6 @@
     set(ECM_ENABLE_SANITIZERS fuzzer;address)
   endif()
 endif()
-
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-option(BUILD_QCH "Build source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "Source code documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 set(FFMPEG_SUFFIX "" CACHE STRING "FFmpeg custom suffix")
 configure_file(config-kdenlive.h.cmake config-kdenlive.h @ONLY)
@@ -172,6 +200,8 @@
 add_subdirectory(renderer)
 add_subdirectory(thumbnailer)
 add_subdirectory(data)
+
+# Install
 ki18n_install(po)
 
 if (BUILD_QCH)
@@ -187,7 +217,11 @@
 install(FILES AUTHORS README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})
 install(DIRECTORY LICENSES DESTINATION ${CMAKE_INSTALL_DOCDIR})
 
-install(FILES kdenlive.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+ecm_qt_install_logging_categories(
+    EXPORT KDENLIVE
+    FILE kdenlive.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
 
 # Tests
 if(BUILD_TESTING)
@@ -199,6 +233,8 @@
     message(STATUS "Fuzzing build was requested but not enabled because compiler is ${CMAKE_CXX_COMPILER_ID} and not Clang")
 endif()
 
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
 # pre-commit hook
 include(KDEGitCommitHooks)
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
