=== src/CMakeLists.txt ===
--- 
+++ 
@@ -61,25 +61,41 @@
 add_subdirectory(pythoninterfaces)
 add_subdirectory(renderpresets)
 add_subdirectory(scopes)
-add_subdirectory(simplekeyframes)
 add_subdirectory(timeline2)
 add_subdirectory(titler)
 add_subdirectory(transitions)
 add_subdirectory(utils)
 add_subdirectory(widgets)
 add_subdirectory(xml)
-## top_SRCS
-file(GLOB top_SRCS "*.cpp")
-if(NOT CRASH_AUTO_TEST)
-    list(REMOVE_ITEM top_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/logger.cpp)
-endif()
-# string(REGEX REPLACE "${CMAKE_CURRENT_SOURCE_DIR}/lib/[^;]+;?" "" top_SRCS "${top_SRCS}")
-list(REMOVE_ITEM top_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp)
-list(APPEND kdenlive_SRCS ${top_SRCS})
+
+## toplevel source code files
+list(APPEND kdenlive_SRCS
+    core.cpp
+    definitions.cpp
+    docktitlebarmanager.cpp
+    layoutmanagement.cpp
+    mainwindow.cpp
+    mltconnection.cpp
+    statusbarmessagelabel.cpp
+    undohelper.cpp
+    glaxnimatelauncher.cpp
+)
+
+if(CRASH_AUTO_TEST)
+    list(APPEND kdenlive_SRCS logger.cpp)
+endif()
+
 ## Others special cases
 kconfig_add_kcfg_files(kdenlive_SRCS kdenlivesettings.kcfgc)
 install(FILES kdenlivesettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
-ecm_qt_declare_logging_category(kdenlive_SRCS HEADER kdenlive_debug.h IDENTIFIER KDENLIVE_LOG CATEGORY_NAME org.kde.multimedia.kdenlive)
+ecm_qt_declare_logging_category(kdenlive_SRCS
+    HEADER kdenlive_debug.h
+    IDENTIFIER KDENLIVE_LOG
+    CATEGORY_NAME org.kde.multimedia.kdenlive
+    DESCRIPTION "kdenlive"
+    EXPORT KDENLIVE
+)
+
 if(NOT NODBUS)
     if(USE_VERSIONLESS_TARGETS)
         qt_add_dbus_adaptor(kdenlive_SRCS org.kdenlive.MainWindow.xml mainwindow.h MainWindow)
@@ -89,9 +105,11 @@
 else()
     add_subdirectory(render)
 endif()
+
 ## UI's
 file(GLOB kdenlive_UIS "ui/*.ui")
 ki18n_wrap_ui(kdenlive_UIS ${kdenlive_UIS})
+
 ## MOC
 if(USE_VERSIONLESS_TARGETS)
     qt_wrap_cpp(kdenlive_MOC definitions.h)
@@ -107,9 +125,12 @@
 else()
     qt5_add_resources(kdenlive_extra_SRCS icons.qrc uiresources.qrc)
 endif()
+
 ## Icon for Windows and OSX
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/icons/*-apps-kdenlive.png")
 ecm_add_app_icon(kdenlive ICONS ${ICONS_SRCS}) # icon name = variable name
+
+## Kdenlive Executable
 add_executable(kdenlive main.cpp ${kdenlive_extra_SRCS} ${kdenlive})
 target_include_directories(kdenlive
     PRIVATE ${CMAKE_BINARY_DIR}
@@ -117,11 +138,11 @@
 target_include_directories(kdenlive
 	SYSTEM PRIVATE ${MLT_INCLUDE_DIR} ${MLTPP_INCLUDE_DIR})
 target_link_libraries(kdenlive kdenliveLib)
-install(TARGETS kdenlive DESTINATION ${BIN_INSTALL_DIR})
-
-install(FILES kdenliveui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kdenlive)
-
-
+install(TARGETS kdenlive DESTINATION ${KDE_INSTALL_BINDIR})
+
+install(FILES kdenliveui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/kdenlive)
+
+## Kdenlive Lib
 target_include_directories(kdenliveLib
     PRIVATE ${CMAKE_BINARY_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}
@@ -143,7 +164,6 @@
     KF5::KIOFileWidgets
     KF5::KIOWidgets
     KF5::NotifyConfig
-    KF5::NewStuff
     KF5::XmlGui
     KF5::GuiAddons
     KF5::Notifications
@@ -151,6 +171,7 @@
     KF5::Declarative
     KF5::IconThemes
     KF5::Solid
+    KF5::FileMetaData
     ${OPENGL_LIBRARIES}
     ${OPENGLES_LIBRARIES}
     ${MLT_LIBRARIES}
@@ -159,6 +180,14 @@
     ${CMAKE_THREAD_LIBS_INIT}
     kiss_fft)
 
+if(KF5NewStuff_VERSION VERSION_LESS "5.90")
+    target_link_libraries(kdenliveLib
+        KF5::NewStuff)
+else()
+    target_link_libraries(kdenliveLib
+        KF5::NewStuffWidgets)
+endif()
+
 if(USE_VERSIONLESS_TARGETS)
     target_link_libraries(kdenliveLib
         Qt::Svg
@@ -208,11 +237,6 @@
 elseif(KF5Crash_FOUND)
     target_compile_definitions(kdenlive PRIVATE -DKF5_USE_CRASH)
     target_link_libraries(kdenlive KF5::Crash)
-endif()
-
-if(KF5_FILEMETADATA)
-    target_compile_definitions(kdenliveLib PRIVATE -DKF5_USE_FILEMETADATA)
-    target_link_libraries(kdenliveLib KF5::FileMetaData)
 endif()
 
 if(KF5_PURPOSE)
