=== data/scripts/CMakeLists.txt ===
INSTALL(FILES 
    checkpackages.py
    otiointerface.py
    speech.py
    speechtotext.py

DESTINATION ${KDE_INSTALL_DATADIR}${DATA_INSTALL_PREFIX}/scripts)
