=== debian/changelog ===
kdenlive (22.12.3-2+deb12u1) testing-proposed-updates; urgency=medium

  * Bump version and upload to t-p-u.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 17 Apr 2023 11:49:39 +0200

kdenlive (22.12.3-2) unstable; urgency=medium

  * Add missing dependency on qml-module-org-kde-newstuff.
    Closes: #1032470

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 10 Mar 2023 09:43:45 +0100

kdenlive (22.12.3-1) unstable; urgency=medium

  * New upstream release.
  * Add dependency on qml-module-org-kde-kcm.
    Closes: #1030782
  * Update signing-key.asc.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Mar 2023 09:13:27 +0100
