=== debian/control ===
--- 
+++ 
@@ -60,6 +60,8 @@
  qml-module-qtquick-dialogs,
  qml-module-qtquick-layouts,
  qml-module-qtquick-window2,
+ qml-module-org-kde-kcm,
+ qml-module-org-kde-newstuff,
  breeze,
  breeze-icon-theme (>= 4:5.83.0),
  kinit,
