## kdenlive 23.04.0-1~ubuntu22.04.1+11.0trisquel2

=== debian/changelog ===
kdenlive (4:23.04.0-1~ubuntu22.04.1+11.0trisquel2) aramo-backports; urgency=medium

  * Backported from official PPA for kdenlive

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 30 Apr 2023 00:39:45 +0000

kdenlive (4:23.04.0-1~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Julius Künzel <jk.kdedev@smartlab.uber.space>  Sat, 29 Apr 2023 19:18:38 +0000
